prototype.cursorTo = function(x, y, cb) {
      return (@getInternalField(@internalModuleRegistry, 111) || @createInternalModuleById(111)).cursorTo(this, x, y, cb);
    }, WriteStream.prototype.getColorDepth = function(env = process.env) {
      return (@getInternalField(@internalModuleRegistry, 62) || @createInternalModuleById(62)).getColorDepth(env);
    }, WriteStream.prototype.getWindowSize = function() {
      return [this.columns, this.rows];
    }, WriteStream.prototype.hasColors = function(count, env) {
      if (env === @undefined && (count === @undefined || typeof count === "object" && count !== null))
        env = count, count = 16;
      else
        validateInteger(count, "count", 2);
      return count <= 2 ** this.getColorDepth(env);
    }, WriteStream.prototype.moveCursor = function(dx, dy, cb) {
      return (@getInternalField(@internalModuleRegistry, 111) || @createInternalModuleById(111)).moveCursor(this, dx, dy, cb);
    }, WriteStream.prototype[Symbol.asyncIterator] = function() {
      return async function* () {
      }();
    }, Real;
  },
  enumerable: !0,
  configurable: !0
});
$ = { ReadStream, WriteStream, isatty };
return $})

